Admin
Admin Theme Update
Atomically replace the active custom theme manifest.
PUT
/admin/themeAtomically replace the active custom theme manifest.
storyden-session<token>
In: cookie
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PUT "https://example.com/admin/theme" \ -H "Content-Type: application/json" \ -d '{ "stylesheets": [ "cc5lnd2s1s4652adtu50" ], "scripts": [ "cc5lnd2s1s4652adtu50" ] }'{
"stylesheets": [
{
"id": "cc5lnd2s1s4652adtu50",
"filename": "string",
"path": "string",
"mime_type": "text/css",
"size": 1,
"integrity": "string"
}
],
"scripts": [
{
"id": "cc5lnd2s1s4652adtu50",
"filename": "string",
"path": "string",
"mime_type": "text/css",
"size": 1,
"integrity": "string"
}
]
}Empty
Empty
Empty
{
"type": "string",
"title": "string",
"detail": "string",
"trace_id": "string",
"metadata": {}
}